org.apache.tomcat.util.net

## Interface ApplicationBufferHandler

- All Known Implementing Classes:
    BufferedInputFilter, ChunkedInputFilter, Http11InputBuffer, IdentityInputFilter, InputBuffer, UpgradeApplicationBufferHandler

      public interface ApplicationBufferHandler

  Callback interface to be able to expand buffers when buffer overflow exceptions happen or to replace buffers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ApplicationBufferHandler` | `EMPTY`
    `static ByteBuffer` | `EMPTY_BUFFER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `expand(int size)`
    `ByteBuffer` | `getByteBuffer()`
    `void` | `setByteBuffer(ByteBuffer buffer)`

- - ### Field Detail

    - #### EMPTY_BUFFER

          static final ByteBuffer EMPTY_BUFFER

    - #### EMPTY

          static final ApplicationBufferHandler EMPTY

  - ### Method Detail

    - #### setByteBuffer

          void setByteBuffer(ByteBuffer buffer)

    - #### getByteBuffer

          ByteBuffer getByteBuffer()

    - #### expand

          void expand(int size)

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.